org.richfaces.renderkit.html

## Class AccordionItemRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.DivPanelRenderer
      - - org.richfaces.renderkit.html.TogglePanelItemRenderer
        - - org.richfaces.renderkit.html.AccordionItemRenderer

-     public class AccordionItemRenderer
      extends TogglePanelItemRenderer

  Since:
    2010-08-05
  Author:
    akolonitsky

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccordionItemRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
    `protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `protected void` | `doEncodeItemBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeItemEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
    `protected JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.html.TogglePanelItemRenderer

      `encodePlaceHolder, encodePlaceHolderWithJs, getRendersChildren, getStyle`

    - ### Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer

      `addOnCompleteParam, addOnCompleteParam, attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, getPassThroughAttributes, styleElement, writeJavaScript`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccordionItemRenderer

          public AccordionItemRenderer()

  - ### Method Detail

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Description copied from class: `RendererBase`
      Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeBegin(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeBegin` in class `TogglePanelItemRenderer`
      Throws:
        `IOException`

    - #### doEncodeItemBegin

          protected void doEncodeItemBegin(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                                    throws IOException

      Overrides:
        `doEncodeItemBegin` in class `DivPanelRenderer`
      Throws:
        `IOException`

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component)

      Overrides:
        `getStyleClass` in class `TogglePanelItemRenderer`

    - #### doEncodeChildren

          protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                   throws IOException

      Overrides:
        `doEncodeChildren` in class `TogglePanelItemRenderer`
      Throws:
        `IOException`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `TogglePanelItemRenderer`
      Throws:
        `IOException`

    - #### doEncodeItemEnd

          protected void doEncodeItemEnd(javax.faces.context.ResponseWriter writer,
                             javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)
                                  throws IOException

      Overrides:
        `doEncodeItemEnd` in class `DivPanelRenderer`
      Throws:
        `IOException`

    - #### getScriptObject

          protected JSObject getScriptObject(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObject` in class `TogglePanelItemRenderer`

    - #### getScriptObjectOptions

          protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObjectOptions` in class `TogglePanelItemRenderer`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Description copied from class: `RendererBase`
      Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `TogglePanelItemRenderer`
      Returns:

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.